List Pipelines
get
https://statsigapi.net/console/v1/release_pipelinesAuthorizations
STATSIG-API-KEYstringrequiredapiKey (header)
Query parameters
limitintegerResults per page
pageintegerPage number
Response
application/json200· List pipelines
messagestringrequiredA simple string explaining the result of the operation.
dataobject[]requiredShow child attributes
id[]stringrequiredPipeline ID
name[]stringrequiredPipeline Name
creatorID[]stringrequiredPipeline Creator ID
createdTime[]numberrequiredPipeline Creation Time
lastModifierID[]stringrequiredLast Modifier ID
lastModifiedTime[]numberrequiredLast Modification Time
phases[]object[]Phases of the release pipeline that will be executed in order.
id[]stringPhase ID
name[]stringrequiredPhase Name
timeIntervalMs[]numberrequiredTime interval in milliseconds for this phase
requiredReview[]booleanrequiredWhether this phase requires review to proceed
rules[]object[]requiredRules to apply in this phase
id[]stringThe Statsig ID of this rule.
name[]stringrequiredThe name of this rule.
conditions[]object[]requiredAn array of Condition objects.
targetValue[]oneOfoperator[]stringfield[]stringcustomID[]stringtype[]stringrequiredenvironments[]string[]The environments this rule is enabled for.
triggerNotice[]stringA notice that will be displayed to the user on the config page when the release pipeline is triggered
paginationobjectrequiredPagination metadata for checking if there is next page for example.
Was this helpful?